Buy multiple domains
POST
https://api.vercel.com/v1/registrar/domains/buyBuy multiple domains at once
https://api.vercel.com/v1/registrar/domains/buy
const response = await fetch('https://api.vercel.com/v1/registrar/domains/buy?teamId=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "domains": [ { "domainName": "Example Name", "autoRenew": "true", "years": "123", "expectedPrice": "123", "languageCode": "string" } ], "contactInformation": { "firstName": "Example Name", "lastName": "Example Name", "email": "user@example.com", "phone": "string", "address1": "string", "address2": "string", "city": "string", "state": "string", "zip": "string", "country": "string", "companyName": "Example Name", "fax": "string", "additional": {} } }),});
const data = await response.json();console.log(data);Response
{ "orderId": "example_id", "_links": "value"}Errors
{ "status": "400", "code": "domain_too_short", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
application/json
The contact information for the domain. Some TLDs require additional contact information. Use the Get contact info schema endpoint to retrieve the required fields.
400There was something wrong with the request
429TooManyRequests